package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProUserGeographicDAO;
import com.philisense.www.mapper.ProUserGeographicMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProUserGeographicDAOImpl implements ProUserGeographicDAO {
        @Autowired
        private ProUserGeographicMapper proUserGeographicMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proUserGeographicMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proUserGeographicMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proUserGeographicMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proUserGeographicMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proUserGeographicMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proUserGeographicMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proUserGeographicMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proUserGeographicMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proUserGeographicMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proUserGeographicMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proUserGeographicMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proUserGeographicMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proUserGeographicMapper.updateBatch(list);
        }
}
